Bug 1335739 - [GSS] (6.2.z) Enable the 6.2.3 patch tool to be able to replace the B*MS 6.2 CR1 libraries with updated ones
Summary: [GSS] (6.2.z) Enable the 6.2.3 patch tool to be able to replace the B*MS 6.2 ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Upgrade Tool
Version: 6.2.0
Hardware: All
OS: All
high
high
Target Milestone: CR2
: 6.2.3
Assignee: Ryan Zhang
QA Contact: Tibor Zimanyi
URL:
Whiteboard:
Depends On: 1334704
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-13 07:07 UTC by Musharraf Hussain
Modified: 2020-03-27 20:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 20:10:52 UTC
Type: Bug


Attachments (Terms of Use)

Description Musharraf Hussain 2016-05-13 07:07:59 UTC
Description of problem:
- This bugzilla has been raised in context of this earlier BZ [1] , where we discovered that with the release (Feb'16) of BZ-1299002 we accidentally shipped unsupported B*MS 6.2 CR1 libraries with the BPMS 6.2 jar installer.
- Since many customers might have already been using BPMS 6.2 unsupported version already, hence we thought of enabling the upcoming 6.2.3 patch update tool to be able to remove such unsupported libraries of 6.2 CR1 releases.
- Currently it has been observed that such customers (as mentioned above) can safely install the 6.2.2 patch update on the unsupported B*MS 6.2 installation, however the only challenge is that it does not update the existing commons-collections libraries. Hence, we want that to be taken care of as well.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1334704

Version-Release number of selected component (if applicable):
- 6.2.3

How reproducible:
- Always

Steps to Reproduce:
1. Please see the description above
2.
3.

Actual results:
- NA

Expected results:
- 6.2.3 patch tool should be able to replace any unsupported and old libraries of 6.2 with updated ones.

Additional info:
- Nothing

Comment 3 Petr Široký 2016-05-18 12:55:40 UTC
I copied the BZ into JIRA as https://issues.jboss.org/browse/RHBRMS-2436.

Please use that JIRA issue for any further updates.


Note You need to log in before you can comment on or make changes to this bug.